//======================================================================
// File:		dso.cpp
// Author:	Matthias Toussaint
// Created:	Sat Jul  6 21:06:45 CEST 2002
//----------------------------------------------------------------------
// Permission to use, copy, modify, and distribute this software and its
// documentation  for any  purpose and  without fee is  hereby  granted,
// provided  that below copyright notice appear  in all copies  and that
// both  that  copyright  notice and  this permission  notice  appear in
// supporting documentation.
// 
// This  file is  provided AS IS  with no  warranties  of any kind.  The
// author shall  have no liability  with respect  to the infringement of
// copyrights, trade  secrets  or any patents by  this file  or any part
// thereof.  In no event will the author be liable  for any lost revenue
// or profits or other special, indirect and consequential damages.
//----------------------------------------------------------------------
// (c) 2000-2002 Matthias Toussaint
//======================================================================

#include <dso.h>

#include <iostream>

Dso::Dso( Model model ) :
  QThread(),
  m_model( model ),
  m_timeBase( TB1ms ),
  m_timeBaseSec( 0.001 ),
  m_triggerEnabled( false ),
  m_triggerChannel( 0 ),
  m_triggerRaising( true ),
  m_triggerLevel( -8 ),
  m_triggerOk( true ),
  m_fastAcq( false ),
  m_acqLength( 4096 ),
  m_acqOffset( 0 )
{
  m_voltsDiv[0] = VD5v;
  m_voltsDiv[1] = VD5v;  
  m_voltsDivVolts[0] = 5;
  m_voltsDivVolts[1] = 5;  
}

Dso::~Dso()
{
}

void
Dso::lock()
{
  m_mutex.lock();
}

void 
Dso::unlock()
{
  m_mutex.unlock();
}

void
Dso::setTimeBase( Dso::TimeBase timeBase )
{
  m_timeBase = timeBase;
}

void
Dso::setVoltsDiv( int channel, Dso::VoltsDiv voltsDiv )
{
  m_voltsDiv[channel] = voltsDiv;
}

void
Dso::setTriggerEnabled( bool on )
{
  m_triggerEnabled = on;
}

void
Dso::setTriggerChannel( int channel )
{
  m_triggerChannel = channel;
}

void
Dso::setTriggerRaising( bool on )
{
  m_triggerRaising = on;
}

void
Dso::setTriggerLevel( int level )
{
  m_triggerLevel = level;
}
